<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/lLayout_bg"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/shape_rect_fillet_theme_black_5"
    android:orientation="vertical"
    android:paddingLeft="3dp"
    android:paddingTop="@dimen/normal_space"
    android:paddingRight="3dp"
    android:paddingBottom="@dimen/normal_space">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/normal_space8"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_table_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:text=""
            android:textColor="@color/theme_white_color"
            android:textSize="@dimen/font_large"
            android:textStyle="bold" />

        <EditText
            android:id="@+id/ed_value"
            android:layout_width="wrap_content"
            android:layout_height="45dp"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_gravity="right"
            android:layout_marginLeft="@dimen/normal_space15"
            android:layout_toRightOf="@+id/tv_table_name"
            android:background="@drawable/shape_rect_fillet_white_5"
            android:ems="10"
            android:enabled="false"
            android:gravity="right|center_vertical"
            android:hint="@string/malnumber"
            android:inputType="numberDecimal"
            android:paddingRight="@dimen/normal_space"
            android:singleLine="true"
            android:textColor="@color/black"
            android:textColorHint="#FF0000"
            android:textSize="28sp"
            android:textStyle="bold">

            <requestFocus />
        </EditText>
    </RelativeLayout>

    <android.support.v7.widget.RecyclerView
        android:id="@+id/recycler_food_kind"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="@dimen/normal_space8"
        android:layout_marginRight="3dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginTop="@dimen/normal_space8"
        android:layout_marginRight="@dimen/normal_space8"
        android:layout_marginBottom="@dimen/normal_space8"
        android:gravity="right|center_vertical"
        android:orientation="horizontal"
        android:weightSum="5">

        <com.gingersoft.gsa.cloud.ui.widget.RoundButton
            android:id="@+id/btn_delivery_time"
            style="@style/RoundButton.One"
            android:layout_width="120dp"
            android:layout_height="35dp"
            android:ellipsize="end"
            android:gravity="center"
            android:maxLines="1"
            android:text="交檯时间"
            android:textColor="@color/theme_white_color"
            android:textSize="@dimen/font_normal2"
            app:btnCornerRadius="@dimen/normal_space5"
            app:btnSolidColor="#329966" />

        <TextView
            android:id="@+id/tv_hour"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginLeft="20dp"
            android:layout_weight="2"
            android:background="@drawable/shape_rect_fillet_white_5"
            android:drawableRight="@drawable/ic_dropdown_black"
            android:gravity="center"
            android:paddingLeft="@dimen/normal_space"
            android:paddingRight="@dimen/normal_space"
            android:text="時"
            android:textColor="@color/black"
            android:textSize="@dimen/font_normal3"
            android:textStyle="bold" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/normal_space"
            android:layout_marginRight="@dimen/normal_space"
            android:text=":"
            android:textColor="@color/theme_white_color"
            android:textSize="@dimen/font_large"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/tv_minute"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="2"
            android:background="@drawable/shape_rect_fillet_white_5"
            android:drawableRight="@drawable/ic_dropdown_black"
            android:gravity="center"
            android:paddingLeft="@dimen/normal_space"
            android:paddingRight="@dimen/normal_space"
            android:text="分"
            android:textColor="@color/black"
            android:textSize="@dimen/font_normal3"
            android:textStyle="bold" />

    </LinearLayout>

    <include layout="@layout/include_number_keyboard" />

</LinearLayout>